package com.jay.monitor.data.server.models.request.trace;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

/**
 * @Module 请求参数
 * @Description url请求的参数
 * @Author liukaixiong
 * @Date 2021/1/12 18:29
 */
public class URLRequest extends PageRequest {

    /**
     * 主键名称
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 请求路径
     */
    private String url;

    /**
     * 用户编号
     */
    private String userId;

    /**
     * 客户端ip
     */
    private String clientIp;

    /**
     * 日志编号
     */
    private String logId;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getClientIp() {
        return clientIp;
    }

    public void setClientIp(String clientIp) {
        this.clientIp = clientIp;
    }

    public String getLogId() {
        return logId;
    }

    public void setLogId(String logId) {
        this.logId = logId;
    }
}
